> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/general/wisej.hybrid.deviceinfo.md).

# DeviceInfo

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Provides information about the Hybrid client.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceInfo
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceInfo
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)AppActions

[DeviceAppActionsInfo](/hybrid/start/api/shortcuts/wisej.hybrid.deviceappactionsinfo.md): Represents information related to the application's startup action.

App Actions allow applications to expose functionality to be used when the app is launched. Inherits from [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md).

### ![](/files/CCV9PPenlC1YZvNh1I6R)Battery

[DeviceBatteryInfo](/hybrid/start/api/hardware/wisej.hybrid.devicebatteryinfo.md): Provides detailed information about the device's battery.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Colors

[DeviceColors](/hybrid/start/api/ui/wisej.hybrid.devicecolors.md): Provides information about system colors.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Display

[DisplayInfo](/hybrid/start/api/display/wisej.hybrid.displayinfo.md): Provides information about the device's display.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Email

[DeviceEmailInfo](/hybrid/start/api/communication/wisej.hybrid.deviceemailinfo.md): Represents information about the device's email capabilities. This class provides properties to check if specific email-related features are supported by the device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)FileSystem

[FileSystemInfo](/hybrid/start/api/storage/wisej.hybrid.filesysteminfo.md): Provides information about the file system directories relevant to the application.

### ![](/files/CCV9PPenlC1YZvNh1I6R)HapticFeedback

[DeviceHapticFeedbackInfo](/hybrid/start/api/vibration/wisej.hybrid.devicehapticfeedbackinfo.md): Provides information about the device's haptic feedback capabilities.

### ![](/files/CCV9PPenlC1YZvNh1I6R)License

[DeviceLicenseInfo](/hybrid/start/api/license/wisej.hybrid.devicelicenseinfo.md): Provides information about the hybrid license.

### ![](/files/CCV9PPenlC1YZvNh1I6R)LocalNotification

[DeviceLocalNotificationInfo](/hybrid/start/api/notifications/wisej.hybrid.devicelocalnotificationinfo.md): Provides information about the last-clicked or startup local notification on the device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Networking

[DeviceNetworkingInfo](/hybrid/start/api/network/wisej.hybrid.devicenetworkinginfo.md): Provides information about the device network status.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Sensors

[DeviceSensorInfo](/hybrid/start/api/sensors/wisej.hybrid.devicesensorinfo.md): Represents information about device sensors. This class provides properties to check if specific sensors are supported by a device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Sms

[DeviceSmsInfo](/hybrid/start/api/communication/wisej.hybrid.devicesmsinfo.md): Represents information about the device's SMS (Short ReceivedMessage Service) capabilities. This class provides properties to check if specific SMS-related features are supported by the device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)System

[DeviceSystemInfo](/hybrid/start/api/system/wisej.hybrid.devicesysteminfo.md): Provides information related to the Hybrid client's system.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Versioning

[DeviceVersioningInfo](/hybrid/start/api/system/wisej.hybrid.deviceversioninginfo.md): Provides information about the application version.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Vibration

[DeviceVibrationInfo](https://docs.wisej.com/api?q=wisej.hybrid.deviceinfo+devicevibrationinfo): Provides information about the device's vibration capabilities.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Windows

[DeviceWindowsInfo](/hybrid/start/api/navigation/wisej.hybrid.devicewindowsinfo.md): Provides information about the current app window.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)Use\<T>()

Gets the given member or extension.

| Parameter | Type | Description                          |
| --------- | ---- | ------------------------------------ |
| **T**     |      | The type of the member or extension. |

**Returns:** [T](/hybrid/start/api/general/wisej.hybrid.deviceinfo.md). The member or extension.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/general/wisej.hybrid.deviceinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
